## ubuntu-docs 25.10.1

=== html/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make
HTMLDESTDIR=build
SRCDIR=/usr/share/help
TMPDIR=/tmp/desktop-guide-build
SED=/bin/sed
INSTALLDIR=ubuntu-docs
URLFIXER=fix-urls.sed

# Space-separated list of language codes for documents. HTML will only be
# built for those codes in the list
# Ex. HELP_LINGUAS=ja it for Japanese and Italian
# Note that the corresponding .page files for the locales must have been built
# for the HTML to be built in turn. This means all the locales for which
# HTML output is needed will have to have been specified in the main
# HELP_LINGUAS variable in the ubuntu-help Makefile
HELP_LINGUAS = ca cs da de el es eu fa fi fr gl he hi hr hu id it ja kn ko lt lv mr nl pl pt pt_BR ro ru sl sr sv ta te tr uk zh_CN

index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/gnome-help/index.page)
linguas := $(HELP_LINGUAS)
help_linguas := \
    $(foreach lingua, $(linguas), \
        $(if $(index_file_exists), \
            $(lingua), \
            $(warning Cannot find source index page for locale: $(lingua), \
                skipping. You will probably have to build it adding it to \
                the HELP_LINGUAS variable in the Makefile at $(SRCDIR) \
                and rebuild)))

# Ubuntu Mallard Customization Layer
UBUNTUXSL=ubuntu.xsl

# Builds the HTML files for all specified language codes, specifiying the
# language in the final documents and performing some other necessary
# text replacements not handled by yelp-build.
# Language codes are normalized to IETF format, as opposed to glibc format
ubuntu-help: clean style
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		echo "\nBuilding language $$lang:"; \
		mkdir -p "$(TMPDIR)/$$lc"; \
		cp -rf "$(SRCDIR)/$$lc/gnome-help" "$(TMPDIR)/$$lc"; \
		find "$(TMPDIR)/$$lc" -type l -exec rm -f {} \; ; \
		$(SED) -i -r 's/(test="action:install)"/\1, target:html"/' "$(TMPDIR)/$$lc/gnome-help/"*.page; \
		$(SED) "s/#LANG#/$$lang/" $(UBUNTUXSL) > "$(TMPDIR)/ubuntu.xsl"; \
		yelp-build html -i -o "$(HTMLDESTDIR)/$$lang/" -x "$(TMPDIR)/ubuntu.xsl" \
			"$(TMPDIR)/$$lc/gnome-help"; \
		$(SED) -i \
			-e "s/<html>/<html lang="$$lang">/" \
			"$(HTMLDESTDIR)/$$lang/"*.html; \
		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
		sed -i -r -e \
			's|(<div class="region"><div class="contents)|<div class="title" style="margin-bottom: 1.5em; margin-left: 0.8em"><span>Ubuntu 25.10</span></div>\1|' \
			"$(HTMLDESTDIR)/$$lang/index.html"; \
		echo "Done."; \
		if test "$$lang" = 'en'; then \
			echo '** NOTE: Be especially attentive to warning messages for the English build.'; \
			echo '** A warning above is an indication of some upstream inconsistency.'; \
		fi; \
	done

clean:
	rm -rf build
	rm -rf $(TMPDIR)

# Copy style sheet and common images to build directory
style:
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		mkdir -p "$(HTMLDESTDIR)/$$lang/img"; \
		mkdir "$(HTMLDESTDIR)/$$lang/figures"; \
	done

# Installs all HTML files to a single multilingual directory for subsequent copying to
# the web server document structure (e.g. to run with Apache and MultiViews enabled)
install:
	rm -Rf "$(INSTALLDIR)"/*
	mkdir -p "$(INSTALLDIR)"
	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		for ext in css js; do \
			cp -af "$(INSTALLDIR)/$$lang"/*.$$ext "$(INSTALLDIR)"; \
			rm -Rf "$(INSTALLDIR)/$$lang"/*.$$ext ; \
		done ; \
		find "$(INSTALLDIR)/$$lang" -type f -exec mv {} {}.$$lang \; ; \
		cp -af "$(INSTALLDIR)/$$lang"/* "$(INSTALLDIR)"; \
		rm -Rf "$(INSTALLDIR)/$$lang" ; \
	done
	cp img/* "$(INSTALLDIR)/img"

=== scripts/non-working/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make
HTMLDESTDIR=build
SRCDIR=../ubuntu-help
SED=/bin/sed
INSTALLDIR=ubuntu-docs
URLFIXER=fix-urls.sed

# Space-separated list of language codes for documents. HTML will only be
# built for those codes in the list
# Ex. HELP_LINGUAS=ja it for Japanese and Italian
# Note that the corresponding .page files for the locales must have been built
# for the HTML to be built in turn. This means all the locales for which
# HTML output is needed will have to have been specified in the main
# HELP_LINGUAS variable in the ubuntu-help Makefile
HELP_LINGUAS = ca cs da de el es fi fr gl he hi hu id it ja kn lv nl pt_BR ru sl sr sv ta te zh_CN

index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/index.page)
linguas := $(HELP_LINGUAS)
help_linguas := \
    $(foreach lingua, $(linguas), \
        $(if $(index_file_exists), \
            $(lingua), \
            $(warning Cannot find source index page for locale: $(lingua), \
                skipping. You will probably have to build it adding it to \
                the HELP_LINGUAS variable in the Makefile at $(SRCDIR) \
                and rebuild)))

# Ubuntu Mallard Customization Layer
UBUNTUXSL=ubuntu.xsl

# Builds the HTML files for all specified language codes, specifiying the
# language in the final documents and performing some other necessary
# text replacements not handled by yelp-build.
# Language codes are normalized to IETF format, as opposed to glibc format
ubuntu-help: clean style
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		yelp-build html -o "$(HTMLDESTDIR)/$$lang/" -x $(UBUNTUXSL) \
			"$(SRCDIR)/$$lc/"; \
		$(SED) -i \
			-e "s/<html>/<html lang="$$lang">/" \
			"$(HTMLDESTDIR)/$$lang/"*.html; \
		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
		sed -i -r -e \
			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 17.10</span></div>\1|' \
			"$(HTMLDESTDIR)/$$lang/index.html"; \
		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \
		grep "href=\"ghelp:" "$(HTMLDESTDIR)/$$lang/"*.html; \
		rm -rf "$(HTMLDESTDIR)/$$lang/usr"; \
	done

clean:
	rm -rf build

# Copy style sheet and common images to build directory
style:
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		mkdir -p "$(HTMLDESTDIR)/$$lang/img"; \
		mkdir -p "$(HTMLDESTDIR)/$$lang/figures"; \
		#cp -n img/* "$(HTMLDESTDIR)/$$lang/img"; \
		#cp -n "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
	done

# Installs all HTML files to a single multilingual directory for subsequent copying to
# the web server document structure (e.g. to run with Apache and MultiViews enabled)
install:
	rm -Rf "$(INSTALLDIR)"/*
	mkdir -p "$(INSTALLDIR)"
	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		for ext in css png js; do \
			cp -af "$(INSTALLDIR)/$$lang"/*.$$ext "$(INSTALLDIR)"; \
			rm -Rf "$(INSTALLDIR)/$$lang"/*.$$ext ; \
		done ; \
		find "$(INSTALLDIR)/$$lang" -type f -exec mv {} {}.$$lang \; ; \
		cp -af "$(INSTALLDIR)/$$lang"/* "$(INSTALLDIR)"; \
		rm -Rf "$(INSTALLDIR)/$$lang" ; \
	done
	cp img/* "$(INSTALLDIR)/img"

=== debian/changelog ===
ubuntu-docs (25.10.1) resolute; urgency=medium

  [ Marek Suchánek ]
  * Update the release to Questing (LP: #2129202)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 21 Oct 2025 16:51:52 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: ubuntu-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               gnome-pkg-tools (>= 0.10)
Build-Depends-Indep: yelp-tools,
                     pkg-config
Vcs-Git: https://git.launchpad.net/~ubuntu-core-doc/ubuntu/+source/ubuntu-docs/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://launchpad.net/ubuntu-docs

Package: ubuntu-docs
Architecture: all
Depends: ${misc:Depends},
         yelp
Recommends: gnome-user-docs
Description: Ubuntu Desktop Guide
 This package holds the official Ubuntu-specific documentation, maintained
 by the Ubuntu Documentation Team. The documentation can be viewed using
 Yelp, the GNOME help browser.
 .
 This package recommends gnome-user-docs, which provides the bulk of the
 Ubuntu Desktop Guide, and ubuntu-docs does not make much sense without it.

=== debian/rules ===
#!/usr/bin/make -f

# don't strip translated pages
export NO_PKG_MANGLE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	for d in $(CURDIR)/debian/ubuntu-docs/usr/share/help/*; do \
		cd "$$d"; \
		rm ubuntu-help/legal.xml; \
		mv ubuntu-help gnome-help; \
		for s in gnome-help/figures/*; do \
			if [ -h "$$s" ]; then \
				target=$$(readlink "$$s"); \
				ln -sf $$(echo $$target | sed s/ubuntu-help/gnome-help/) "$$s"; \
			fi \
		done \
	done

override_dh_translations:

## ubuntu-docs 26.04.1

=== html/Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
 		sed -i -r -e \
-			's|(<div class="region"><div class="contents)|<div class="title" style="margin-bottom: 1.5em; margin-left: 0.8em"><span>Ubuntu 25.10</span></div>\1|' \
+			's|(<div class="region"><div class="contents)|<div class="title" style="margin-bottom: 1.5em; margin-left: 0.8em"><span>Ubuntu 26.04</span></div>\1|' \
 			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "Done."; \
 		if test "$$lang" = 'en'; then \

=== debian/changelog ===
ubuntu-docs (26.04.1) resolute; urgency=medium

  * Update the release to Resolute

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Feb 2026 18:26:44 +0100
